PORGBALL(8)

NAME
porgball - Binary package support for porg(8).

SYNOPSIS
porgball [OPTIONS] [-a|<packages>]
porgball -e [OPTIONS] <porgballs>

DESCRIPTION

By default, porgball may be given one or more package names as arguments, and for each of those packages it creates a binary tarball containing all the currently installed files. For this to work the packages have to be registered in the porg database.
Leading slashes ('/') are stripped from the paths of the files in the tarballs, so they can be extracted into user-defined directories.

With option -e, porgball admits one or more previously created tarballs ("porgballs") as arguments, and installs them into the system, optionally logging the installation with porg(8).

Note: Options cannot be joined up, for instance: '-af' is not correct, type '-a -f' instead.

Mandatory arguments to long options are mandatory for short options too.

GENERAL OPTIONS

-h, --help
    Show usage information and exit.

-v, --verbose
    Explain what is being done.

-V, --version
    Print version information and exit.

-L, --logdir=DIR
    Porg log directory. Default is '/var/lib/porg', unless option LOGDIR is set in porgrc(5).

PORGBALL CREATION OPTIONS

-a, --all
    Create a porgball for each package logged in the porg database.

-X, --exact-version
    Disable expansion of package version.
    By default, porgball automatically expands the package names given as arguments, by adding all the versions of the package that are registered in the porg database.
    The option -X inhibits this expansion, so that package names must match the basename and the whole version of a registered package.

-d, --directory=DIR
    Create the porgballs in directory DIR (default is '.').

-g, --gzip
    Compress with gzip (default).

-b, --bzip2
    Compress with bzip2.

-x, --xz
    Compress with xz.

-#  Set the compression level (speed/quality balance). '#' is a number between 1 (faster compression) and 9 (best compression). Default is 9.

--fast
    An alias for -1.

--best
    An alias for -9.

-f, --force
    Force overwrite of existing output files.

-t, --test
    Test intergity of the porgball after creating it.

-n, --no-porg-suffix
    Do not append '.porg' suffix to the name of the porgballs. For instance, create 'foo-1.0.tar.gz' instead of 'foo-1.0.porg.tar.gz'.

PORGBALL EXTRACTION OPTIONS

-e, --extract
    Extract (install) the given porgballs, in directory '/' by default.

-l, --log
    Log the file extraction with porg, retrieving the appropriate package name from the name of the porgball.

-d, --directory=DIR
    Extract the files into directory DIR (as the option -C in tar).

FILES

/etc/porgrc - porg configuration file
/var/lib/porg - default porg log directory

AUTHOR
Written by David Ricart (http://porg.sourceforge.net)

SEE ALSO
porg(8), porgrc(5)